Subject: Re: [MMUSIC] Notes from side meeting on ICE, 2005-11-10 21.00-23.10

From: Flemming Andreasen <[email-masked]>
Date: Mon, 05 Dec 2005 12:03:11 -0500

Elwell, John wrote:

> The purpose was to resolve an issue with ICE version 06 whereby it 
> depended on reliable provisional responses (PRACK), which is not 
> widely implemented at present.
>
> Jonathan proposed a middle ground position. Subject to certain 
> conditions, as soon as a candidate has been validated successfully 
> (both ways), you can start sending media to that address, but must 
> send an updated offer at some stage. If PRACK is not available, you 
> have to wait for 200.
>
> Question over SRTP keying - uncertain whether any issues, e.g. to do 
> with windowing and different latencies on different candidates. May be 
> solved by different SSRCs with some implementations. This may occur 
> even if we do perform offer/answer exchange straight away. So there is 
> a general issue with SRTP, not introduced by ICE 06. Agreed to put 
> SRTP aside until sorted out RTP.
>
I'm not quite following the SRTP issue nor the part about using 
different SSRCs. Can you (or somebody else) elaborate on it ?

-- Flemming

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic